Package com.android.server.os

# Class LinphoneTombstoneProtos.FD.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.FD,LinphoneTombstoneProtos.FD.Builder>
com.android.server.os.LinphoneTombstoneProtos.FD.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.FDOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.FD

public static final class LinphoneTombstoneProtos.FD.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.FD,LinphoneTombstoneProtos.FD.Builder> implements LinphoneTombstoneProtos.FDOrBuilder
Protobuf type `FD`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.FD.Builder`
`clearFd()`
`int32 fd = 1;`
`LinphoneTombstoneProtos.FD.Builder`
`clearOwner()`
`string owner = 3;`
`LinphoneTombstoneProtos.FD.Builder`
`clearPath()`
`string path = 2;`
`LinphoneTombstoneProtos.FD.Builder`
`clearTag()`
`uint64 tag = 4;`
`int`
`getFd()`
`int32 fd = 1;`
`String`
`getOwner()`
`string owner = 3;`
`com.google.protobuf.ByteString`
`getOwnerBytes()`
`string owner = 3;`
`String`
`getPath()`
`string path = 2;`
`com.google.protobuf.ByteString`
`getPathBytes()`
`string path = 2;`
`long`
`getTag()`
`uint64 tag = 4;`
`LinphoneTombstoneProtos.FD.Builder`
`setFd(int value)`
`int32 fd = 1;`
`LinphoneTombstoneProtos.FD.Builder`
`setOwner(String value)`
`string owner = 3;`
`LinphoneTombstoneProtos.FD.Builder`
`setOwnerBytes(com.google.protobuf.ByteString value)`
`string owner = 3;`
`LinphoneTombstoneProtos.FD.Builder`
`setPath(String value)`
`string path = 2;`
`LinphoneTombstoneProtos.FD.Builder`
`setPathBytes(com.google.protobuf.ByteString value)`
`string path = 2;`
`LinphoneTombstoneProtos.FD.Builder`
`setTag(long value)`
`uint64 tag = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getFd

public int getFd()
`int32 fd = 1;`

Specified by:
  `getFd` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The fd.

### setFd

public LinphoneTombstoneProtos.FD.Builder setFd(int value)
`int32 fd = 1;`

Parameters:
  `value` - The fd to set.
Returns:
  This builder for chaining.

### clearFd

public LinphoneTombstoneProtos.FD.Builder clearFd()
`int32 fd = 1;`

Returns:
  This builder for chaining.

### getPath

public String getPath()
`string path = 2;`

Specified by:
  `getPath` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The path.

### getPathBytes

public com.google.protobuf.ByteString getPathBytes()
`string path = 2;`

Specified by:
  `getPathBytes` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The bytes for path.

### setPath

public LinphoneTombstoneProtos.FD.Builder setPath(String value)
`string path = 2;`

Parameters:
  `value` - The path to set.
Returns:
  This builder for chaining.

### clearPath

public LinphoneTombstoneProtos.FD.Builder clearPath()
`string path = 2;`

Returns:
  This builder for chaining.

### setPathBytes

public LinphoneTombstoneProtos.FD.Builder setPathBytes(com.google.protobuf.ByteString value)
`string path = 2;`

Parameters:
  `value` - The bytes for path to set.
Returns:
  This builder for chaining.

### getOwner

public String getOwner()
`string owner = 3;`

Specified by:
  `getOwner` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The owner.

### getOwnerBytes

public com.google.protobuf.ByteString getOwnerBytes()
`string owner = 3;`

Specified by:
  `getOwnerBytes` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The bytes for owner.

### setOwner

public LinphoneTombstoneProtos.FD.Builder setOwner(String value)
`string owner = 3;`

Parameters:
  `value` - The owner to set.
Returns:
  This builder for chaining.

### clearOwner

public LinphoneTombstoneProtos.FD.Builder clearOwner()
`string owner = 3;`

Returns:
  This builder for chaining.

### setOwnerBytes

public LinphoneTombstoneProtos.FD.Builder setOwnerBytes(com.google.protobuf.ByteString value)
`string owner = 3;`

Parameters:
  `value` - The bytes for owner to set.
Returns:
  This builder for chaining.

### getTag

public long getTag()
`uint64 tag = 4;`

Specified by:
  `getTag` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The tag.

### setTag

public LinphoneTombstoneProtos.FD.Builder setTag(long value)
`uint64 tag = 4;`

Parameters:
  `value` - The tag to set.
Returns:
  This builder for chaining.

### clearTag

public LinphoneTombstoneProtos.FD.Builder clearTag()
`uint64 tag = 4;`

Returns:
  This builder for chaining.